# $Revision: 1.12 $, $Date: 2012/02/11 10:16:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Autouse
Summary:	Class::Autouse - defer loading of one or more classes
Summary(pl.UTF-8):	Class::Autouse - wstrzymanie ładowania jednej lub więcej klas
Name:		perl-Class-Autouse
Version:	2.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/ADAMK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	920890629fa60ba1a3a1150ffa2365fe
URL:		http://search.cpan.org/dist/Class-Autouse/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-File-Temp >= 0.17
BuildRequires:	perl-Scalar-List-Utils >= 1.19
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Autouse allows you to specify a class the will only load when a
method of that class is called. For large classes that might not be
used during the running of a program, such as Date::Manip, this can
save you large amounts of memory, and decrease the script load time.

%description -l pl.UTF-8
Class::Autouse pozwala na wskazanie klas, które będą załadowane tylko
wtedy, gdy metoda danej klasy zostanie wywołana. Dla dużych klas,
takich jak Date::Manip, które mogą być nieużywane podczas działania
programu, w ten sposób możliwe jest zaoszczędzenie dużej ilości
pamięci oraz zmniejszenie czasu ładowania skryptu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL --skipdeps \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/Autouse.pm
%{perl_vendorlib}/Class/Autouse
%{_mandir}/man3/Class::Autouse.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Autouse.spec,v $
Revision 1.12  2012/02/11 10:16:31  zbyniu
- up to 2.01

Revision 1.11  2011/03/05 15:17:21  qboosh
- updated to 2.00

Revision 1.10  2007/12/19 15:18:37  zbyniu
- up to 1.29

Revision 1.9  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.7  2006/07/26 18:47:43  glen
- 1.26, generic URL

Revision 1.6  2006/02/15 22:14:37  glen
- up to 1.24

Revision 1.5  2005/04/07 19:34:55  arekm
- up to 1.17

Revision 1.4  2004/11/15 19:25:04  paladine
- updated to 1.12
- removed some BRs (we have them in perl-base)
- added BR perl-ExtUtils-AutoInstall

Revision 1.3  2004/11/03 13:21:17  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/08/08 15:30:48  ankry
- cosmetics

Revision 1.1  2004/08/08 14:28:50  adamg
- new
